Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.addressing.eprs
Class FTPEpr

    java.lang.Object
      org.jboss.soa.esb.addressing.EPR
          org.jboss.soa.esb.addressing.eprs.FileEpr
              org.jboss.soa.esb.addressing.eprs.FTPEpr

Direct Known Subclasses:
  FTPSEpr, SFTPEpr

    public class FTPEpr

extends FileEpr

A helper class for using FTP style EPRs. Simply create instances of this class instead of the base EPR. Since URLs can use FTP, we try to leverage that as much as possible.

Author:
  marklittle

Field Summary
`static java.lang.String` | `PASSIVE_TAG`
`static java.lang.String` | `PASSWORD_TAG`
`static java.lang.String` | `USERNAME_TAG`

Fields inherited from class org.jboss.soa.esb.addressing.eprs.FileEpr
`DEFAULT_REPLY_TO_FILE_SUFFIX, ERROR_DEL_TAG, ERROR_DIR_TAG, ERROR_SUFFIX_TAG, INPUT_SUFFIX_TAG, POST_DEL_TAG, POST_DIR_TAG, POST_RENAME_TAG, POST_SUFFIX_TAG, URL_TAG, WORK_SUFFIX_TAG`

Fields inherited from class org.jboss.soa.esb.addressing.EPR
`_logger`

Constructor Summary
`FTPEpr(EPR epr)`
`FTPEpr(EPR epr, org.w3c.dom.Element header)`
`FTPEpr(java.lang.String url)`
`FTPEpr(java.net.URI uri)` Construct the FTP EPR with the specified URI.
`FTPEpr(java.net.URL url)` Deprecated.

Method Summary
`EPR` | `copy()` Return a copy of this EPR.
`boolean` | `getPassive()`
`java.lang.String` | `getPassword()`
`java.net.URL` | `getURL()` Deprecated.
`java.lang.String` | `getUserName()`
`void` | `setPassive(boolean passive)` Passive FTP?
`void` | `setPassword(java.lang.String password)` Set the password for this FTP EPR.
`void` | `setURL(java.net.URL url)` Deprecated.
`void` | `setUserName(java.lang.String username)` Set the username for this FTP EPR.
`java.lang.String` | `toString()`
`static java.net.URI` | `type()`

Methods inherited from class org.jboss.soa.esb.addressing.eprs.FileEpr
`getErrorDelete, getErrorDirectory, getErrorSuffix, getInputSuffix, getPostDelete, getPostDirectory, getPostRename, getPostSuffix, getWorkSuffix, setErrorDelete, setErrorDirectory, setErrorSuffix, setInputSuffix, setPostDelete, setPostDirectory, setPostRename, setPostSuffix, setWorkSuffix`

Methods inherited from class org.jboss.soa.esb.addressing.EPR
`equals, getAddr, getURI, setAddr, setURI`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### USERNAME_TAG

    public static final java.lang.String USERNAME_TAG

See Also:
  Constant Field Values

### PASSWORD_TAG

    public static final java.lang.String PASSWORD_TAG

See Also:
  Constant Field Values

### PASSIVE_TAG

    public static final java.lang.String PASSIVE_TAG

See Also:
  Constant Field Values

Constructor Detail

### FTPEpr

    public FTPEpr(EPR epr)

### FTPEpr

    public FTPEpr(EPR epr,
                  org.w3c.dom.Element header)

### FTPEpr

    public FTPEpr(java.net.URL url)
           throws java.net.URISyntaxException

  Deprecated.

  Construct the FTP EPR with the specified URL.

  Parameters:
    `url` -
  Throws:
    `java.net.URISyntaxException`

### FTPEpr

    public FTPEpr(java.net.URI uri)

  Construct the FTP EPR with the specified URI.

  Parameters:
    `uri` -
  Throws:
    `java.net.URISyntaxException`

### FTPEpr

    public FTPEpr(java.lang.String url)
           throws java.net.URISyntaxException

Throws:
  `java.net.URISyntaxException`

Method Detail

### setURL

    public final void setURL(java.net.URL url)

  Deprecated.

  Set the URL for this endpoint.

  Overrides:
    `setURL` in class `FileEpr`
  Parameters:
    `url` - the address.

### getURL

    public final java.net.URL getURL()

  Deprecated.

  Get the URL address.

  Overrides:
    `getURL` in class `FileEpr`
  Returns:
    the address.

### setUserName

    public final void setUserName(java.lang.String username)
                           throws java.net.URISyntaxException

  Set the username for this FTP EPR. In case it cannot be put in the URL.

  Parameters:
    `username` - the user's name.
  Throws:
    `java.net.URISyntaxException` - thrown if this EPR is malformed.

### getUserName

    public final java.lang.String getUserName()

  Returns:
    the user's name associated with this EPR.

### setPassword

    public final void setPassword(java.lang.String password)
                           throws java.net.URISyntaxException

  Set the password for this FTP EPR.

  Parameters:
    `password` - the user's name.
  Throws:
    `java.net.URISyntaxException` - thrown if this EPR is malformed.

### getPassword

    public final java.lang.String getPassword()

  Returns:
    the password associated with this EPR.

### setPassive

    public final void setPassive(boolean passive)
                          throws java.net.URISyntaxException

  Passive FTP?

  Parameters:
    `passive` - the value.
  Throws:
    `java.net.URISyntaxException` - thrown if this EPR is malformed.

### getPassive

    public final boolean getPassive()

  Returns:
    the passive value associated with this EPR.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `FileEpr`

### copy

    public EPR copy()

  Description copied from class: `EPR`
  Return a copy of this EPR.

  Overrides:
    `copy` in class `FileEpr`

### type

    public static java.net.URI type()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD